<?php

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Calculer le prix HT des produits
 *
 * @param $objet
 * @param $id_objet
 * @param $options
 * @param $ligne
 *
 * @return mixed
 */
function prix_option_produit_ht($objet, $id_objet, $options, $ligne) {
	$options_produit = isset($options['options']) ?: $options;
	if (is_string($options_produit)) {
		$options_produit = explode('_', trim($options_produit, '_'));
	}

	static $cache;
	$hash = md5(json_encode([$objet, $id_objet, $options_produit, $ligne]));
	if (isset($cache[$hash])) {
		return $cache[$hash];
	}

	$prix_ht = $ligne['prix_ht'];
	foreach ($options_produit as $option_produit) {
		$prix_ht += sql_getfetsel(
			'prix_option_objet',
			'spip_options_liens',
			[
				'id_option = ' . intval($option_produit),
				'objet = ' . sql_quote($objet),
				'id_objet = ' . intval($id_objet),
			]
		);
	}
	$cache[$hash] = $prix_ht;

	return $prix_ht;
}

/**
 * Calculer le prix TTC des produits
 *
 * @param $objet
 * @param $id_objet
 * @param $options
 * @param $prix_ht
 *
 * @return mixed
 */
function prix_option_produit($objet, $id_objet, $options, $prix_ht) {
	include_spip('base/abstract_sql');
	
	$prix_ttc = $prix_ht;

	if ($taxe = sql_getfetsel('taxe', 'spip_produits', 'id_produit = ' . $id_objet)) {
		$prix_ttc = round($prix_ht * (1 + $taxe), 6);
	}

	return $prix_ttc;
}
